Скрытая Опасность обновления WordPress 3.7 “Baise”

Обновления WordPress 3.7 – делать или нет?

Версиям многих программных продуктов в последнее время принято присваивать не только очередной номер, но и имя. Версия WordPress 3.6 “Oscar” обновилась до WordPress 3.7 “Basie”. Это имя было присвоено в честь знаменитого джазового пианиста Count Basie.

Скачать официальную сборку WordPress 3.7 можно непосредственно из вашей панели Администратора или по прямым ссылкам:
– английский вариант
wordpress.org/latest.zip
– русский вариант ru.wordpress.org/wordpress-3.7-ru_RU.zip

Автоматические обновления WordPress 3.7

Что нового?
В новом релизе версия
WordPress 3.7 в основном обращает внимание на стабильность и улучшение безопасности работы. Кроме того, для девелоперов были реорганизованы средства разработки и тестирования. Для оценки надежности выбора пароля, в новой версии появилась библиотека zxcvbn от компании Dropbox. Она будет доступна для использования всеми приложениями WP.

Пожалуй, самым важным шагом явилось то, что в новой версии технические обновления стали автоматическими по умолчанию. Это означает, что переходы с 3.7 на 3.7.1 (2, 3 и т.д.) будут сделаны без вашего участия. Стоит заметить, что такие обновления будут сделаны только внутри версии 3.7, и автоматическое обновление на версию 3.8 не произойдет.

Почему и Кто должен отключить автоматическое обновление?
Если ваш сайт находится под патронажем вашего разработчика, то вам нечего волноваться (???) и в случае непредвиденных обстоятельств, как некорректная работа сайта или попросту его «падение» все будет исправлено.

В противном случае, стоит задуматься. Даже неискушенный пользователь WP знает о наличии Плагинов (WordPress Plugins) в его составе. Без многих из них ваш сайт был бы очень скучным и не таким функциональным. Но не все знают, или не обращают внимание, на проблему совместимости плагинов с новыми версиями от WP.

Именно в этом и заключается опасность функции автоматического обновления в WordPress 3.7

Конечно, внутри одной сборки 3.7 такие обновления не будут столь глубокими, а, как я писал выше, обновляться до 3.8 надо будет вручную. Но вероятность отказа работы сайта из-за несовместимости с плагинами существует. Опасность возрастает, если разработчики последних своевременно не вносят изменений, а вы не обновляете их.

Как отключить автоматическое обновление?
Сделать это достаточно просто. Нужно добавить только одну линию кода в файле wp-config.php:

1 define( ‘AUTOMATIC_UPDATER_DISABLED’, true );

Это отключит автоматические обновления, но вы будете получать уведомления о появлении последних версий. Таким образом, вы можете принимать решения об обновлении и делать их самостоятельно (и подконтрольно). Несмотря на все выше сказанное, мы настоятельно рекомендуем следить и делать обновления ядра WordPress. Многие из них касаются безопасности вашего сайта.  

А что вы думаете по этому поводу? Оставите ли вы функцию автоматического обновления?

 

Article by Alex Berestyuk

Leave a Reply